Fresh install 65530 Questions, Can't Delete FAQ, Etc.

I am having the 65530 questions listing like many other users still with the latest version. I have no errors in my apache logs, and if I try to delete an FAQ question if there is only one I get "there is nothing to delete". If I add a second question, I can delete the previous question, but cannot delete the new one. Updating FAQ questions also does not work.

My DB has full permissions to delete, update, modify tables etc.

Edit: I also cannot save any options in the support system settings. They revert to default.

    Mason

    Hiya Kruzen,

    That's no good

    I just did an install of this one today myself and didn't have this issue. Can you tell me if you're getting any js errors on the admin pages? That is my first guess as you're having additional issues (such as saving options not working).

    I'll ask the developer to stop in and take a look, but any js messages (firebug is a great tool to check) or anything in the PHP error logs will help us narrow this down quickly.

    Thanks!

    Kruzen

    Hi Mason,

    GET http://sitename.com/wp-admin/admin-ajax.php?action=wp-compression-test&test=1&1309287156546
    POST http://sitename.com/wp-admin/admin-ajax.php
    GET http://sitename.com/wp-admin/admin-ajax.php?action=wp-compression-test&test=no&1309287157079

    all returned 200 OK results, with no Errors or warnings in the firebug console when I 'Save Changes' to Support System Settings. When I changed the support form email to support@sitename.com from admin@sitename.com, as soon as the page reloads it chagnes it back to admin@sitename.com

    Likewise, I cannot change the support menu name, and get the other errors discussed above.

    I enabled wordpress and php debugging and wrote it to a log file. Here is the result, tracking the process of logging in, going to settings, and attempting to change Support System Settings admin@sitename.com to support@sitename.com.

    [28-Jun-2011 19:02:06] PHP Notice: get_settings is deprecated since version 2.1! Use get_option() instead. in /home/username/public_html/wp-includes/functions.php on line 3303
    [28-Jun-2011 19:02:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:02:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:02:36] PHP Notice: Undefined variable: wp_version in /home/username/public_html/wp-content/plugins/incsub-support/incsub-support.php on line 301
    [28-Jun-2011 19:02:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:02:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:02:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:02:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:02:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:02:36] PHP Notice: Undefined index: page in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 53
    [28-Jun-2011 19:02:36] PHP Notice: Undefined variable: msg in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 76
    [28-Jun-2011 19:03:02] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:02] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:02] PHP Notice: Undefined variable: wp_version in /home/username/public_html/wp-content/plugins/incsub-support/incsub-support.php on line 301
    [28-Jun-2011 19:03:02] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:02] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:02] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:02] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:02] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:02] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:02] PHP Notice: Undefined variable: msg in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 76
    [28-Jun-2011 19:03:05] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:05] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:05] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:05] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:06] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:06] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:06] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:06] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:06] PHP Notice: Undefined index: page in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 53
    [28-Jun-2011 19:03:06] PHP Notice: Undefined variable: msg in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 76
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: Undefined variable: wp_version in /home/username/public_html/wp-content/plugins/incsub-support/incsub-support.php on line 301
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: Undefined variable: wp_version in /home/username/public_html/wp-content/plugins/incsub-support/incsub-support.php on line 301
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:07] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:08] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:08] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:08] PHP Notice: Undefined variable: wp_version in /home/username/public_html/wp-content/plugins/incsub-support/incsub-support.php on line 301
    [28-Jun-2011 19:03:08] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:08] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:08] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:25] PHP Notice: Undefined variable: msg in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 76
    [28-Jun-2011 19:03:25] PHP Notice: Undefined index: action in /home/username/public_html/wp-content/plugins/incsub-support/incsub-support.php on line 2159
    [28-Jun-2011 19:03:29] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:29] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:29] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:29] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:29] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:29] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:29] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:29] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:29] PHP Notice: Undefined index: page in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 53
    [28-Jun-2011 19:03:29] PHP Notice: Undefined variable: msg in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 76
    [28-Jun-2011 19:03:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:36] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:36] PHP Notice: Undefined variable: msg in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 76
    [28-Jun-2011 19:03:57] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:57] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:57] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:57] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:57] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:57] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:57] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:57] PHP Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home/username/public_html/wp-includes/functions.php on line 3387
    [28-Jun-2011 19:03:57] PHP Notice: Undefined variable: msg in /home/username/public_html/wp-content/plugins/wpmudev-updates/notifications.php on line 76

    Kruzen

    [28-Jun-2011 19:03:08] PHP Notice: Undefined variable: wp_version in /home/username/public_html/wp-content/plugins/incsub-support/incsub-support.php on line 301
    [28-Jun-2011 19:03:25] PHP Notice: Undefined index: action in /home/username/public_html/wp-content/plugins/incsub-support/incsub-support.php on line 2159

    seem to be the relevant errors to the plugin from the list. Line 301 looks like it's the methodology of adding the menu items, but I dont have any problems with displaying the menu or getting the subsequent page to load.

    2159 is related to getting categories, which there might not be any listed yet because I dropped the tables and disabled/re-enabled the plugin to start fresh. (so there are no tickets to associate with a category yet).

    Thanks for the help, looking forward to a solution

    S H Mohanjith

    KnyghtMare, thank you very much for helping us reproduce the issue.

    Can you please replace incsub-support.php in the plugin with one in the archive attached, disable the plugin and then enable the plugin? Please let us know if it fixes your issues.

    It should definitely fix the first two issues. I cannot reproduce the issue with the question field. Can you please post a screenshot if you still can reproduce the issue.

    Thanks.

    KnyghtMare

    OK, I spent a short while debugging the FAQ question counts bug and found the following:

    The FAQ questions is stored in the qcount field with the type smallint(3).
    The code in the plugin increments/decrements this field by 1 whenever a question is added or removed from a category.
    Creating a question in it's own category and then deleting it caused the qcount field of other categories to be decremented also.

    So, basically the UPDATE query sent when a question was deleted was buggy.

    Attached is patch file made from the most recent incsub-support.php file in this thread. It basically fixes the foreach $_POST loop to exclude categories from the UPDATE statement.